"use strict";

module.exports = function containsRemoteFields(node) {
	if (node == null) {
		return false;	
	} else if (Array.isArray(node)) {
		return node.some((item) => containsRemoteFields(item));
	} else if (node.__raqbASTNode === true) {
		if (node.type === "remoteField") {
			return true;
		} else {
			return Object.values(node).some((item) => containsRemoteFields(item));
		}
	} else {
		return false;
	}
};
